Subject: Re: [PATCH] net: phy: Ensure the state machine is called when phy is UP

From: Alexandre Belloni <[email-masked]>
Date: Thu, 19 May 2016 18:31:47 +0200

On 17/05/2016 at 17:35:30 -0600, David Mosberger wrote :
> At 7.96 seconds, phy_start() gets called, but even though this enters
> state PHY_UP, it does not trigger phy_state_machine() and therefore
> doesn't trigger autonegotiation.  I'm not quite sure how this is
> intended to be handled properly.  I believe Alexandre Belloni's patch
> would do the trick:
> 
>  http://www.spinics.net/lists/netdev/msg373324.html
> 
> Or has this been fixed in some other way already?
> 

I don't think it has, last time I checked, Florian was still thinking
about it.

-- 
Alexandre Belloni, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com